Range-v3 Range algorithms, views, and actions for the Standard Library |

Synopsis of methods | Public Member Functions | List of all members
ranges::view::join_fn Struct Reference
Inheritance diagram for ranges::view::join_fn:

## Synopsis of methods
constexpr view< join_fn > | join {}

## Public Member Functions
template<typename Rng >
auto | operator() (Rng &&rng, inner_value_t< Rng > v) const -> join_with_view< all_t< Rng >, single_view< inner_value_t< Rng >>> requires JoinableWithRange< Rng, single_view< inner_value_t< Rng >>>
template<typename Rng , typename ValRng >
auto | operator() (Rng &&rng, ValRng &&val) const -> join_with_view< all_t< Rng >, all_t< ValRng >> requires JoinableWithRange< Rng, ValRng >
Public Member Functions inherited from ranges::view::cpp20_join_fn
template<typename Rng >
auto | operator() (Rng &&rng) const -> join_view< all_t< Rng >> requires JoinableRange< Rng >